文档API 参考

Rust · 0.1.0

List Spaces

GET /api/v1/spaces

SpaceService · SpaceService_ListSpaces

基于协议生成的参考。授权与实例策略仍然生效。结构描述继承自 MIT 许可的应用接口定义;本站不会向真实服务执行示例。

访问权限

需要认证,并是相关空间的有效成员;实例管理员身份不会绕过空间成员边界。

请求

ListSpaces lists spaces of which the authenticated caller is a member.

GET/api/v1/spaces

参数

名称 / 位置类型 / 是否必需描述
pageSize
query
integer (int32)
OpenAPI 未标记为必需
Optional. The maximum number of spaces to return.
pageToken
query
string
OpenAPI 未标记为必需
Optional. A token from a previous ListSpaces response.

请求体

未声明请求体。

响应

200 · OK

application/json · ListSpacesResponse

default · Default error response

application/json · Status

完整操作定义

下方保留全部已声明约束、媒体类型和响应细节。结构引用链接到完整定义。

展开 JSON 定义
{
  "tags": [
    "SpaceService"
  ],
  "description": "ListSpaces lists spaces of which the authenticated caller is a member.",
  "operationId": "SpaceService_ListSpaces",
  "parameters": [
    {
      "name": "pageSize",
      "in": "query",
      "description": "Optional. The maximum number of spaces to return.",
      "schema": {
        "type": "integer",
        "format": "int32"
      }
    },
    {
      "name": "pageToken",
      "in": "query",
      "description": "Optional. A token from a previous ListSpaces response.",
      "schema": {
        "type": "string"
      }
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/ListSpacesResponse"
          }
        }
      }
    },
    "default": {
      "description": "Default error response",
      "content": {
        "application/json": {
          "schema": {
            "$ref": "#/components/schemas/Status"
          }
        }
      }
    }
  }
}